EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedRetentionRules_GetRules',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedRetentionRules_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the retention rules for a feed.'
GO

IF OBJECT_ID('[FeedRetentionRules_GetRules]') IS NOT NULL DROP PROCEDURE [FeedRetentionRules_GetRules]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedRetentionRules_GetRules]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [FeedRetentionRules_Extended]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [FeedRetentionRules_GetRules] TO [ProGetUser_Role]
GO
